package cc.smtweb.system.bpm.web.sys.user.userGroup;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import cc.smtweb.framework.core.util.JsonUtil;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * Created by 1 at 2022-08-02 20:19:02
 * 实体【[用户分组](SYS_USER_GROUP)】的Entity类
 */
@SwTable("SYS_USER_GROUP")
public class UserGroup extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_USER_GROUP";

    private transient List<UserGroupItem> items = null;

    public UserGroup() {
        super(ENTITY_NAME);
    }

    public List<UserGroupItem> getItems() {
        if (items == null) {
            synchronized ("ModelProc_" + getId()) {
                if (items == null) {
                    UserGroupItem[] list = JsonUtil.parse(getContent(), UserGroupItem[].class);
                    List<UserGroupItem> l = new ArrayList<>();
                    Collections.addAll(l, list);
                    items = l;
                }
            }
        }
        return items;
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sugp_id");
    }

    /**
     * 主键
     */
    public void setId(long sugp_id) {
        put("sugp_id", sugp_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("sugp_code");
    }

    /**
     * 编码
     */
    public void setCode(String sugp_code) {
        put("sugp_code", sugp_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("sugp_name");
    }

    /**
     * 名称
     */
    public void setName(String sugp_name) {
        put("sugp_name", sugp_name);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sugp_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sugp_remark) {
        put("sugp_remark", sugp_remark);
    }

    /**
     * 分组详细
     */
    public String getContent() {
        return getStr("sugp_content");
    }

    /**
     * 分组详细
     */
    public void setContent(String sugp_content) {
        put("sugp_content", sugp_content);
    }
}
